org.apache.ignite.internal.cluster.graph

## Class BitSetIterator

- java.lang.Object
- - org.apache.ignite.internal.cluster.graph.BitSetIterator

All Implemented Interfaces:
  Iterator<Integer>

    public class BitSetIterator
    extends Object
    implements Iterator<Integer>

Iterator over set bits in `BitSet`.

### Constructor Summary

Constructors
Constructor and Description
`BitSetIterator(BitSet bitSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`Integer` `next()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

### Constructor Detail

#### BitSetIterator

    public BitSetIterator(BitSet bitSet)

Parameters:
  `bitSet` - Bitset.

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Integer>`

#### next

    public Integer next()
                 throws NoSuchElementException

Specified by:
  `next` in interface `Iterator<Integer>`
Throws:
  `NoSuchElementException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020